<template>
  <GenericLayout>
    <template #header>
      <Header
        :back-button="true"
        :title="pageTitle"
      />
    </template>

    <template
      #page-content
    >
      <div class="full-height column">
        <q-banner class="bg-warning text-white text-small q-mb-md">
          <div class="text-small">
            <span>This is currently a demo version. All the recommendations are based on demo data and should not be taken into account for farm decisions.</span>
          </div>
        </q-banner>
        <template v-if="isDesktopPlatform">
          <div
            class="page-title"
            v-if="pageTitle"
          >
            {{ pageTitle }}
          </div>
          <div
            class="page-subtitle"
            v-if="pageSubTitle"
          >
            {{ pageSubTitle }}
          </div>
        </template>
        <ArcResultsCard
          :fertilization-plan-parameters="$store.state.fertilizationPlan.parameters"
          :fertilization-plan-target="$store.state.fertilizationPlan.target"
        />
      </div>
    </template>

    <template #footer>
      <Footer />
    </template>
  </GenericLayout>
</template>

<script>
import { PlatformMixin } from 'src/mixins/PlatformMixin'
import GenericLayout from 'src/layouts/GenericLayout'
import Header from 'src/components/layouts/Header'
import Footer from 'src/components/layouts/Footer'

import AlgorithmsMixins from 'src/pages/fieldbook/fertilization/algorithms/common/mixins/AlgorithmsMixins'
import FertilizationPlanMixin from 'src/pages/fieldbook/fertilization/mixins/FertilizationPlanMixin'

import ArcResultsCard from 'src/pages/fieldbook/fertilization/algorithms/arc/components/ArcResultsCard'

export default {
  name: 'ArcResultsPage',
  components: {
    GenericLayout,
    Header,
    Footer,
    ArcResultsCard
  },
  mixins: [PlatformMixin, AlgorithmsMixins, FertilizationPlanMixin],
  data () {
    return {
      computing: false,
      saving: false
    }
  },
  computed: {
    pageTitle () {
      return this.$gettext('PK recommendation')
    },
    pageSubTitle () {
      return this.$store.state.fertilizationPlan?.algorithm?.name ?? 'PMK'
    }
  },
  mounted () {
  },
  methods: {
  }
}
</script>
